package Export;

use strict;
use warnings;
require Exporter;

our @ISA = ("Exporter");
our @EXPORT_OK = ('$string_var', '@array_var', '%hash_var', 'function');

our $string_var = "some_text";
our @array_var = ("one", "two", "three");
our %hash_var = (
	key		 => "value",
);

sub function
{
	$string_var = "new string";
	@array_var = ("new", "array", "elements");
	$hash_var{key} = "new value";
}

sub printit
{
	my ($txt) = @_;
	print "$txt\n";
	print "   string_var = $string_var\n";
	print "   array_var = @array_var\n";
	print "   hash value for ``key'' = $hash_var{key}\n";
}

1;
